ISR(TIMER2_OVF_vect) {  
  TCNT2 = tcnt2;  // reload the timer
  t++;
  time_ms++;
  if (t == 1){
    angle_previous = angle;
  }
  else if (t == 20){
    angle_post = angle;  
  }
  else if (t == 21){
    velocity = (angle_post - angle_previous)*50;  // unit: rad/s
    Serial.println(velocity, 4);
    t = 0;
  }
  
  if (time_ms == 2000){
    setMotorSpeed(3200); // full speed is 3200
  }
  else if (time_ms == 4000){
    setMotorSpeed(0);
    time_ms = 0;
  }
}
