clear; close all; clc;

output_velocity = load('data1.txt');
input_voltage = 7.23*ones(length(output_velocity),1);
t(1,1) = 0;
for i=1:length(output_velocity(:,1))-1
    t(i+1,1) = t(i,1) + 20/1000;
end

figure(1); plot(t,output_velocity); title('time vs velocity');
steady_state_output = output_velocity(40:end);
figure(2); plot(steady_state_output); title('steady state velocity');
y = mean(steady_state_output);
torque = 7.23/y;
display(torque);