// required to allow motors to move
// must be called when controller restarts and after any error
void exitSafeStart()
{
  Serial1.print(0x83, BYTE);
}

// speed should be a number from -3200 to 3200
void setMotorSpeed(int speed)
{
  if (speed < 0)
  {
    Serial1.print(0x86, BYTE); // motor reverse command
    speed = -speed; // make speed positive
  }
  else
  {
    Serial1.print(0x85, BYTE); // motor forward command
  }
    Serial1.print((unsigned char)(speed & 0x1F), BYTE);
    Serial1.print((unsigned char)(speed >> 5), BYTE);
}
